# Interface ProfileFormatter

#### Hierarchy

- ProfileFormatter

- Defined in src/profile/elevationComponent.js:42

#####
Index

### Properties

xhover
xtick
yhover
ytick

## Properties

### xhover

xhover: ((arg0: number, arg1: string) => string)

#### Type declaration

- - (arg0: number, arg1: string): string

  - Format the xhover distance.

    #### Parameters

    - ##### arg0: number

    - ##### arg1: string

    #### Returns string

- Defined in src/profile/elevationComponent.js:43

### xtick

xtick: ((arg0: number, arg1: string) => string | number)

#### Type declaration

- - (arg0: number, arg1: string): string | number

  - Format the xtick, for graduating the x axis.

    #### Parameters

    - ##### arg0: number

    - ##### arg1: string

    #### Returns string | number

- Defined in src/profile/elevationComponent.js:45

### yhover

yhover: ((arg0: number, arg1: string) => string)

#### Type declaration

- - (arg0: number, arg1: string): string

  - Format the yhover elevation.

    #### Parameters

    - ##### arg0: number

    - ##### arg1: string

    #### Returns string

- Defined in src/profile/elevationComponent.js:44

### ytick

ytick: ((arg0: number, arg1: string) => string | number)

#### Type declaration

- - (arg0: number, arg1: string): string | number

  - Format the ytick, for graduating the y axis.

    #### Parameters

    - ##### arg0: number

    - ##### arg1: string

    #### Returns string | number

- Defined in src/profile/elevationComponent.js:46

Generated using TypeDoc